### Type Parameters

### Hierarchy

- CreateFilterOptions

## Index

### Properties

- dataSource
- filter
- filterRules
- incDimensions
- incTime
- projCode
- srsName

## Properties

### dataSource

dataSource: GmfDatasourceOGC

- Defined in src/filter/RuleHelper.js:51

The data source from which to get the filterRules that will be used to create the OL filter object.

### filter

filter: Filter

- Defined in src/filter/RuleHelper.js:59

A filter that is directly given the method instead of creating one. Useful to automatically combine the time values.

### filterRules

filterRules: default[]

- Defined in src/filter/RuleHelper.js:62

An alternative list of filter rules to use instead of those that are defined within the data source. Useful when one wants to get the data of a given filter without applying it to the data source.

### incDimensions

incDimensions: boolean

- Defined in src/filter/RuleHelper.js:53

Whether to include the dimensions related filters. Default to `true`.

### incTime

incTime: boolean

- Defined in src/filter/RuleHelper.js:54

Whether to include the data source's time values in the filter created. The property that contains those values is `timeRangeValue`. Defaults to `false`. When building a filter for WMS, it should not be included as it is given as the TIME parameter of the query instead. When used for a WFS request, it should be included in the filter.

### projCode

projCode: string

- Defined in src/filter/RuleHelper.js:65

Projection code.

### srsName

srsName: string

- Defined in src/filter/RuleHelper.js:66

The SRS name used with the spatial filters created by the method.

Generated using TypeDoc